from direct.showbase.DirectObject import DirectObject
from direct.actor.Actor import Actor
from panda3d.core import *

class Player(DirectObject):
    def __init__(self, pos):
        self.player = base.camera
        self.player.setPos(pos)
        
        self.health = 10
            
        playerCenter = self.player.getBounds().getCenter()
        playerRad = 2
        cNode = CollisionNode("player")
        cNode.addSolid(CollisionSphere(playerCenter, playerRad))
        playerC = self.player.attachNewNode(cNode)
        
        base.cTrav.addCollider(playerC, base.pusher)
        base.pusher.addCollider(playerC, self.player)
        
    def __NodePath__(self):
        return self,player
        
    def updateKeyMap(self, key, value):
        self.keyMap[key] = value
    
    def update(self, keys, dt):
        if keys.get("w"):
            self.player.setY(self.player, dt * 10)
        elif keys.get("a"):
            self.player.setX(self.player, dt * -5)
        elif keys.get("s"):
            self.player.setY(self.player, dt * -10)
        elif keys.get("d"):
            self.player.setX(self.player, dt * 5)
        elif keys.get("arrow_left"):
            self.player.setH(self.player, dt * 100)
        elif keys.get("arrow_right"):
            self.player.setH(self.player, dt * -100)